package com.ruoyi.interfaces.service.impl;

import java.util.List;

import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.interfaces.mapper.MdAppMapper;
import com.ruoyi.interfaces.domain.MdApp;
import com.ruoyi.interfaces.service.IMdAppService;

/**
 * 模型应用Service业务层处理
 *
 * @author 朱得糠
 * @date 2025-08-19
 */
@Service
public class MdAppServiceImpl implements IMdAppService {
    @Autowired
    private MdAppMapper mdAppMapper;

    /**
     * 查询模型应用
     *
     * @param appId 模型应用主键
     * @return 模型应用
     */
    @Override
    public MdApp selectMdAppByAppId(Long appId) {
        return mdAppMapper.selectMdAppByAppId(appId);
    }

    /**
     * 查询模型应用列表
     *
     * @param mdApp 模型应用
     * @return 模型应用
     */
    @Override
    public List<MdApp> selectMdAppList(MdApp mdApp) {
        return mdAppMapper.selectMdAppList(mdApp);
    }

    /**
     * 新增模型应用
     *
     * @param mdApp 模型应用
     * @return 结果
     */
    @Override
    public int insertMdApp(MdApp mdApp) {
        mdApp.setCreateTime(DateUtils.getNowDate());
        return mdAppMapper.insertMdApp(mdApp);
    }

    /**
     * 修改模型应用
     *
     * @param mdApp 模型应用
     * @return 结果
     */
    @Override
    public int updateMdApp(MdApp mdApp) {
        mdApp.setUpdateTime(DateUtils.getNowDate());
        return mdAppMapper.updateMdApp(mdApp);
    }

    /**
     * 批量删除模型应用
     *
     * @param appIds 需要删除的模型应用主键
     * @return 结果
     */
    @Override
    public int deleteMdAppByAppIds(Long[] appIds) {
        return mdAppMapper.deleteMdAppByAppIds(appIds);
    }

    /**
     * 删除模型应用信息
     *
     * @param appId 模型应用主键
     * @return 结果
     */
    @Override
    public int deleteMdAppByAppId(Long appId) {
        return mdAppMapper.deleteMdAppByAppId(appId);
    }
}
